GET /data/{agencyId},{dataflowId},{version}/{key}

fao.org:fao-forest-api

Summary: Get forest data by dataflow
Operation ID: getForestData
Auth: none
Description

Retrieve forest statistics data for a specific dataflow. Supports forestry SDG indicators including forest area (15.1.1) and sustainable forest management (15.2.1).

Parameters (9)

agencyId (string, path, required, default: FAO)

Agency ID (e.g., FAO)

dataflowId (string, path, required)

Dataflow ID - DF_SDG_15_1_1 for forest area, DF_SDG_15_2_1 for sustainable forest management

Constraints: {'enum': ['DF_SDG_15_1_1', 'DF_SDG_15_2_1']}

endPeriod (string, query, optional)

End time period (e.g., 2023)

firstNObservations (integer, query, optional)

Limit to first N observations

format (string, query, optional)

Output format: jsondata (JSON), csvfile (CSV), csvfilewithlabels (CSV with labels), genericdata (XML)

Constraints: {'enum': ['jsondata', 'csvfile', 'csvfilewithlabels', 'genericdata']}

key (string, path, required, default: all)

Data selection key - use 'all' for all data or specify dimensions separated by dots

lastNObservations (integer, query, optional)

Limit to last N observations

startPeriod (string, query, optional)

Start time period (e.g., 2020, 2015-Q1, 2015-01-01)

version (string, path, required, default: 1.0)

Dataflow version (e.g., 1.0)

Examples (3)

TitleTypeURLAction
Get forest area data (SDG 15.1.1) in JSON format curl http://www.fao.org/forestry/data/FAO,DF_SDG_15_1_1,1.0/all?format=jsondata
Get sustainable forest management data with time period filter curl http://www.fao.org/forestry/data/FAO,DF_SDG_15_2_1,1.0/all?format=jsondata&startPeriod=2020&endPeriod=2023
Get forest area data as CSV with last 10 observations curl http://www.fao.org/forestry/data/FAO,DF_SDG_15_1_1,1.0/all?format=csvfile&lastNObservations=10

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-03-23 10:40:53.522677 404 331ms
2026-03-23 10:36:04.571138 404 2369ms
2026-03-23 09:21:31.607112 404 344ms